package fishrungames.bashgid.core;

import android.os.Bundle;
import fishrungames.networkutils.UpdateCallbackHolder;
import fishrungames.networkutils.interfaces.NetworkActionInterface;

public class MainPageUpdater implements NetworkActionInterface
{

	@Override
	public void InThreadAction(Bundle query, UpdateCallbackHolder callbackHolder)
	{
		
		NewsManager.getInstance().InThreadAction(query, callbackHolder);
		HtmlDownloadManager.getInstance().InThreadAction(query, callbackHolder);
		
		callbackHolder.OnUpdated(null);
	}

}
